Package skyview.request

# Class RGBWriter

java.lang.Object
skyview.process.Processor
skyview.request.HTMLWriter
skyview.request.RGBWriter

All Implemented Interfaces:
  `Serializable`, `Component`

public class RGBWriter extends HTMLWriter

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RGBWriter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
A description for the compontent.
`String`
`getName()`
A name for the component
`void`
`process(Image[] inputs, Image output, int[] sources, Sampler samp, DepthSampler dpSamp)`
Process the image.
`protected void`
`updateSettings(Image output, Sampler samp)`
Update the settings before creating the appropriate HTML

### Methods inherited from class skyview.request.HTMLWriter

`printoutTemplate, setSettings, slurp, updateHeader, updatesOutput, writeFooter, writeHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RGBWriter

public RGBWriter()

## Method Details

### process

public void process(Image[] inputs, Image output, int[] sources, Sampler samp, DepthSampler dpSamp)
Description copied from class: `HTMLWriter`
Process the image. This should happen late.

Overrides:
  `process` in class `HTMLWriter`
Parameters:
  `inputs` - The input images.
  `output` - The output image
  `sources` - Usually a map giving the input image used for each output pixel
  `samp` - The sampler used to create the output
  `dpSamp` - For 3-d images the sampler in the energy axis.

### getName

public String getName()
Description copied from class: `HTMLWriter`
A name for the component

Specified by:
  `getName` in interface `Component`
Overrides:
  `getName` in class `HTMLWriter`

### getDescription

public String getDescription()
Description copied from class: `HTMLWriter`
A description for the compontent.

Specified by:
  `getDescription` in interface `Component`
Overrides:
  `getDescription` in class `HTMLWriter`

### updateSettings

protected void updateSettings(Image output, Sampler samp)
Update the settings before creating the appropriate HTML

Overrides:
  `updateSettings` in class `HTMLWriter`
Parameters:
  `output` - The output image
  `samp` - The sampler used to create the output image.